version: "1.0"
services:
  netbeans:
    container_name: netbeans-17
    image: fcarella/netbeans:17
    network_mode: "host"
    environment:
      #- DISPLAY=192.168.0.238:0.0
      #- DISPLAY=192.168.0.158:0.0
      - DISPLAY=$DISPLAY
    volumes:
      - /c/Users/fcarella/volumes/netbeans/root:/root
      # - /c/Users/fcarella/volumes/netbeans/NetBeansProjects:/root/NetBeansProjects
      # - /c/Users/fcarella/volumes/netbeans/.java:/root/.java
      # - /c/Users/fcarella/volumes/netbeans/.netbeans:/root/.netbeans
      # - /c/Users/fcarella/volumes/netbeans/.m2:/root/.m2
      # - /c/Users/fcarella/volumes/netbeans/.X11-unix:/tmp/.X11-unix
      # - /c/Users/fcarella/volumes/netbeans/NetBeansJDKS:/root/NetBeansJDKs 
      # - /c/Users/fcarella/volumes/netbeans/.gitconfig:/root/.gitconfig
      
      # - /c/Users/fcarella/nb.dev_shm:/dev/shm
    # working_dir: $APP_ROOT
    # command line swithches fix font issues in linux
    command: /opt/netbeans/bin/netbeans  -J-Dswing.aatext=true -J-Dawt.useSystemAAFontSettings=lcd
# volumes:
#   idea_cache:
#   java_cache:
#   m2_cache:

    # networks:
    #   testing_net:
    #       ipv4_address: 172.28.1.2

  mysql:
    container_name: csd121-mysql
    image: mysql:8.0.32
    volumes:
    - /home/fcarella/mysql:/var/lib/mysql 
    
    environment:
      - MYSQL_ROOT_PASSWORD=itstudies12345
    ports:
      - 3306:3306
    networks:
      testing_net:
          ipv4_address: 172.28.1.1

networks:
    testing_net:
        ipam:
            driver: default
            config:
                - subnet: 172.28.0.0/16


